TICK-001875 - ERRORE CRON GENERAZIONE ORDINI A CONSUNTIVO Modifica Ticket

Assegnato a : SARA FARASO
Email : e.ricciato@henoto.com
Team di assistenza : Assistenza Odoo II Livello
Data Creazione : 16/11/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, ELISA RICCIATO
Telefono :
Priorità : Alto
Data Chiusura : 17/11/2022
Categoria : Anomalia

Il cron di creazione ordini ha consuntivo prende la seguente eccezione:

Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 684, in dispatch
result = self._call_function(**self.params)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 360, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 348, in checked_call
result = self.endpoint(*a, **kw)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 913, in __call__
return self.method(*args, **kw)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 532, in response_wrap
response = f(*args, **kw)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1400, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/addons/base/gi_makigami/controllers/controllers.py", line 80, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 1388, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 399, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 386, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_cron.py", line 83, in method_direct_trigger
cron.with_user(cron.user_id).with_context(lastcall=cron.lastcall).ir_actions_server_id.run()
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_actions.py", line 636, in run
res = runner(run_self, eval_context=eval_context)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/website/models/ir_actions.py", line 61, in _run_action_code_multi
res = super(ServerAction, self)._run_action_code_multi(eval_context)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/base/models/ir_actions.py", line 501, in _run_action_code_multi
safe_eval(self.code.strip(), eval_context, mode="exec", nocopy=True) # nocopy allows to return 'action'
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/tools/safe_eval.py", line 346, in safe_eval
raise ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr))
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 640, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/nix/store/60ixlj8wq3gbb1vnpgl2fqg7bh3d1n8z-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/http.py", line 316, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: <class 'psycopg2.errors.InFailedSqlTransaction'>: "current transaction is aborted, commands ignored until end of transaction block
" while evaluating
'limit= 200\nmodel.generate_order(limit)'

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.